Subject: [PWE3] Re: PROTO Statement: draft-ietf-pwe3-pw-tc-mib-11.txt

From: Danny McPherson <[email-masked]>
Date: Mon, 24 Sep 2007 07:09:07 -0600

Folks,
An updated version of the PW TC MIB has been posted,
the diff is available here:

http://tools.ietf.org/wg/pwe3/draft-ietf-pwe3-pw-tc-mib/draft-ietf- 
pwe3-pw-tc-mib-12-from-11.diff.html

The use of the term 'pseudowire' was made consistent and the
PwGenIdType was added:

   PwGenIdType ::= TEXTUAL-CONVENTION
       STATUS      current
       DESCRIPTION
          "Represents the AGI Type and AII Type in generalized FEC
           signaling and configuration.
          "
         SYNTAX    Unsigned32( 0..254 )

These were the only changes in the draft and given that the
PROTO statement was submitted on July 24, 2007, I see no
reason to delay this document further.

If you have any issues with these changes please let me know
ASAP and we'll be sure to address, else we'll leave the document
in the IESG processing state and NOT reissue a WG LC on
these minor changes.

Thanks!

-danny

On Jul 24, 2007, at 3:27 PM, Danny McPherson wrote:

> PROTO Statement: draft-ietf-pwe3-pw-tc-mib-11.txt
>
> The PWE3 Chairs would like to request Standards Track publication
> of this document.
>
> (1.a)  Who is the Document Shepherd for this document?  Has the
>           Document Shepherd personally reviewed this version of the
>           document and, in particular, does he or she believe this
>           version is ready for forwarding to the IESG for publication?
>
> Danny McPherson ([email-masked]) is the Shepherd. I have
> reviewed the document and it is ready for publication.
>
>    (1.b)  Has the document had adequate review both from key WG  
> members
>           and from key non-WG members?  Does the Document Shepherd  
> have
>           any concerns about the depth or breadth of the reviews that
>           have been performed?
>
> This document has been reviewed by the WG, both through the LC
> process (ending 2007-06-19), and at IETF WG meetings. There were
> minor comments during the two week LC that has completed.  Of the
> comments, one was related to consistent use of the term "pseudowire",
> which it was agreed would be made consistent when RFC Editor
> review occurs, or if a respin is necessary after MIB Doctor  
> review.  The
> other comments were addressed in response to the query and seem
> to have satisfied the initiator.
>
> I have no concerns about state of readiness of this document.
>
>    (1.c)  Does the Document Shepherd have concerns that the document
>           needs more review from a particular or broader perspective,
>           e.g., security, operational complexity, someone familiar  
> with
>           AAA, internationalization or XML?
>
> I have no concerns regarding the requirement for further review of
> this document, although MIB Doctor review needs to occur and a
> good bit of coordination has already occurred on that front per
> MIB Doctor author participation on this document.
>
>    (1.d)  Does the Document Shepherd have any specific concerns or
>           issues with this document that the Responsible Area Director
>           and/or the IESG should be aware of?  For example, perhaps he
>           or she is uncomfortable with certain parts of the  
> document, or
>           has concerns whether there really is a need for it.  In any
>           event, if the WG has discussed those issues and has  
> indicated
>           that it still wishes to advance the document, detail those
>           concerns here.
>
> I have no specific concerns about this document, nor are there
> concerns that should be conveyed to the IESG or Responsible AD.
>
>    (1.e)  How solid is the WG consensus behind this document?  Does it
>           represent the strong concurrence of a few individuals, with
>           others being silent, or does the WG as a whole understand  
> and
>           agree with it?
>
> This document is fully understood and supported by the PWE3
> WG.  There is no contention as to whether this work provides and
> it is generally supported across the WG.
>
>    (1.f)  Has anyone threatened an appeal or otherwise indicated  
> extreme
>           discontent?  If so, please summarise the areas of  
> conflict in
>           separate email messages to the Responsible Area  
> Director.  (It
>           should be in a separate email because this questionnaire is
>           entered into the ID Tracker.)
>
> No one has indicated to the WG chairs or WG mailing list that they
> have intentions of appealing any proposed publication of this
> document.
>
>    (1.g)  Has the Document Shepherd personally verified that the
>           document satisfies all ID nits?  (See
>           http://www.ietf.org/ID-Checklist.html and
>           http://tools.ietf.org/tools/idnits/).  Boilerplate checks  
> are
>           not enough; this check needs to be thorough.  Has the  
> document
>           met all formal review criteria it needs to, such as the MIB
>           Doctor, media type and URI type reviews?
>
> Yes.  As a matter of fact, an updated ID correcting earlier ID nits
> was provided by the authors several revisions ago.
>
>    (1.h)  Has the document split its references into normative and
>           informative?
>
> Yes.
>
>           Are there normative references to documents that
>           are not ready for advancement or are otherwise in an unclear
>           state?  If such normative references exist, what is the
>           strategy for their completion?  Are there normative  
> references
>           that are downward references, as described in [RFC3967]?  If
>           so, list these downward references to support the Area
>           Director in the Last Call procedure for them [RFC3967].
>
> No.
>
>    (1.i)  Has the Document Shepherd verified that the document IANA
>           consideration section exists and is consistent with the body
>           of the document?  If the document specifies protocol
>           extensions, are reservations requested in appropriate IANA
>           registries?  Are the IANA registries clearly identified?  If
>           the document creates a new registry, does it define the
>           proposed initial contents of the registry and an allocation
>           procedure for future registrations?  Does it suggested a
>           reasonable name for the new registry?  See
>           [I-D.narten-iana-considerations-rfc2434bis].  If the  
> document
>           describes an Expert Review process has Shepherd conferred  
> with
>           the Responsible Area Director so that the IESG can  
> appoint the
>           needed Expert during the IESG Evaluation?
>
> The IANA Consideration Section of the document provides the
> following IANA and RFC Editor Guidance, which we believe to
> be straight-forward and reasonable:
>
>    Editor's Note (to be removed prior to publication): The IANA is
>    requested to assign a value for "XXXX" under the 'transmission'
>    subtree and to record the assignment in the SMI Numbers registry.
>    When the assignment has been made, the RFC Editor is asked to  
> replace
>    "XXXX" (here and in the MIB module) with the assigned value and to
>    remove this note.
>
>    (1.j)  Has the Document Shepherd verified that sections of the
>           document that are written in a formal language, such as XML
>           code, BNF rules, MIB definitions, etc., validate  
> correctly in
>           an automated checker?
>
> No, although we have verified this with the authors.  We have
> performed a preliminary MIB Doctor review by having Orly Nicklass
> review the MIBs in detail, and made many changes based on her
> suggestions.  We have verified that they compile with SMICng,
> and is clean using SmiLint.
>
>    (1.k)  The IESG approval announcement includes a Document
>           Announcement Write-Up.  Please provide such a Document
>           Announcement Writeup?  Recent examples can be found in the
>           "Action" announcements for approved documents.  The approval
>           announcement contains the following sections:
>
>           Technical Summary
>
> This document defines a Management Information Base (MIB) module which
> contains Textual Conventions (TCs) to represent commonly-used Pseudo
> Wire (PW) management information.  The intent is that these TCs will
> be imported and used in PW-related MIB modules that would otherwise
>
>           Working Group Summary
>
> This document has been reviewed by the experts in the PWE3 WG
> and there are no outstanding issues.
>
>           Protocol Quality
>
> This is a very simple and well written, no protocol issues are
> anticipated and no outstanding technical issues exist..
>
>           Personnel
>              Who is the Document Shepherd for this document?
>
> Danny McPherson ([email-masked])
>
>              Who is the Responsible Area Director?
>
> Mark Townsley ([email-masked])
>

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3